aspectReference = qm.AspectHierarchy.aspect
aspectReference.lowerBound = 1
entityReference = qm.EntityHierarchy.entity
entityReference.lowerBound = 1
commentClass = qm.Comment
eAnnotation = commentClass.newEAnnotation()
eAnnotation.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry = eAnnotation.newEStringToStringMapEntry()
eStringToStringMapEntry.key = "documentation"
eStringToStringMapEntry.value = "A comment provides further information for a model element. A comment\r\nhas a name, a description and can be written in a certain language."
attributeReference = qm.AttributeList.attribute
eAnnotation2 = attributeReference.newEAnnotation()
eAnnotation2.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry2 = eAnnotation2.newEStringToStringMapEntry()
eStringToStringMapEntry2.key = "documentation"
eStringToStringMapEntry2.value = "The list of attributes"
partReference = qm.Entity.part
eAnnotation3 = partReference.newEAnnotation()
eAnnotation3.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry3 = eAnnotation3.newEStringToStringMapEntry()
eStringToStringMapEntry3.key = "documentation"
eStringToStringMapEntry3.value = "The sub entities of this entity"
namedElementClass = qm.NamedElement
eAnnotation4 = namedElementClass.newEAnnotation()
eAnnotation4.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry4 = eAnnotation4.newEStringToStringMapEntry()
eStringToStringMapEntry4.key = "documentation"
eStringToStringMapEntry4.value = "A named element is a model element with a name. The name must be\r\nunique among the elements which are on the same level of hierarchy in\r\nthe model."
impactClass = qm.Impact
eAnnotation5 = impactClass.newEAnnotation()
eAnnotation5.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry5 = eAnnotation5.newEStringToStringMapEntry()
eStringToStringMapEntry5.key = "documentation"
eStringToStringMapEntry5.value = "An impact defines an effect of a fact on an aspect. The effect can be\r\neither positive or negative."
aspectReference2 = qm.Aspect.aspect
eAnnotation6 = aspectReference2.newEAnnotation()
eAnnotation6.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry6 = eAnnotation6.newEStringToStringMapEntry()
eStringToStringMapEntry6.key = "documentation"
eStringToStringMapEntry6.value = "The sub aspects of this aspect"
entityClass = qm.Entity
eAnnotation7 = entityClass.newEAnnotation()
eAnnotation7.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry7 = eAnnotation7.newEStringToStringMapEntry()
eStringToStringMapEntry7.key = "documentation"
eStringToStringMapEntry7.value = "An entity is a part of the product that is being developed. An entity can\r\nbe further described by a number of attributes by means of facts. An\r\nentity can be decomposed into sub entities by a part-of relationship. An\r\nentity can inherit attributes from a super entity by an is-a relationship."
aspectsReference = qm.Quality.aspects
eAnnotation8 = aspectsReference.newEAnnotation()
eAnnotation8.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry8 = eAnnotation8.newEStringToStringMapEntry()
eStringToStringMapEntry8.key = "documentation"
eStringToStringMapEntry8.value = "The aspect hierarchy of this quality model"
compositeReference = qm.Entity.composite
eAnnotation9 = compositeReference.newEAnnotation()
eAnnotation9.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry9 = eAnnotation9.newEStringToStringMapEntry()
eStringToStringMapEntry9.key = "documentation"
eStringToStringMapEntry9.value = "The entity of which this entity is a part"
eAnnotation10 = aspectReference.newEAnnotation()
eAnnotation10.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry10 = eAnnotation10.newEStringToStringMapEntry()
eStringToStringMapEntry10.key = "documentation"
eStringToStringMapEntry10.value = "The root aspects of this aspect hierarchy"
factReference = qm.Entity.fact
eAnnotation11 = factReference.newEAnnotation()
eAnnotation11.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry11 = eAnnotation11.newEStringToStringMapEntry()
eStringToStringMapEntry11.key = "documentation"
eStringToStringMapEntry11.value = "The attributes which can be associated to this entity"
superordinateReference = qm.Entity.superordinate
eAnnotation12 = superordinateReference.newEAnnotation()
eAnnotation12.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry12 = eAnnotation12.newEStringToStringMapEntry()
eStringToStringMapEntry12.key = "documentation"
eStringToStringMapEntry12.value = "The entity from which this entity inherits"
nameAttribute = qm.Comment._name
eAnnotation13 = nameAttribute.newEAnnotation()
eAnnotation13.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry13 = eAnnotation13.newEStringToStringMapEntry()
eStringToStringMapEntry13.key = "documentation"
eStringToStringMapEntry13.value = "The name of this comment"
effectAttribute = qm.Impact.effect
eAnnotation14 = effectAttribute.newEAnnotation()
eAnnotation14.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry14 = eAnnotation14.newEStringToStringMapEntry()
eStringToStringMapEntry14.key = "documentation"
eStringToStringMapEntry14.value = "Whether this impact has positive or negative effect"
descriptionAttribute = qm.Comment.description
eAnnotation15 = descriptionAttribute.newEAnnotation()
eAnnotation15.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry15 = eAnnotation15.newEStringToStringMapEntry()
eStringToStringMapEntry15.key = "documentation"
eStringToStringMapEntry15.value = "The description of this comment"
qualityClass = qm.Quality
eAnnotation16 = qualityClass.newEAnnotation()
eAnnotation16.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry16 = eAnnotation16.newEStringToStringMapEntry()
eStringToStringMapEntry16.key = "documentation"
eStringToStringMapEntry16.value = "A quality model is a model with the objective to describe and assess\r\nquality. A quality model consists of a hierarchy of entities, a list of\r\nattributes and a hierarchy of aspects."
entitiesReference = qm.Quality.entities
eAnnotation17 = entitiesReference.newEAnnotation()
eAnnotation17.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry17 = eAnnotation17.newEStringToStringMapEntry()
eStringToStringMapEntry17.key = "documentation"
eStringToStringMapEntry17.value = "The entity hierarchy of this quality model"
nameAttribute2 = qm.NamedElement._name
eAnnotation18 = nameAttribute2.newEAnnotation()
eAnnotation18.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry18 = eAnnotation18.newEStringToStringMapEntry()
eStringToStringMapEntry18.key = "documentation"
eStringToStringMapEntry18.value = "The name of this named element"
commentReference = qm.CommentedElement.comment
eAnnotation19 = commentReference.newEAnnotation()
eAnnotation19.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry19 = eAnnotation19.newEStringToStringMapEntry()
eStringToStringMapEntry19.key = "documentation"
eStringToStringMapEntry19.value = "The comments of this commented element"
attributeReference2 = qm.Fact.attribute
eAnnotation20 = attributeReference2.newEAnnotation()
eAnnotation20.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry20 = eAnnotation20.newEStringToStringMapEntry()
eStringToStringMapEntry20.key = "documentation"
eStringToStringMapEntry20.value = "The attribute of this fact"
entityHierarchyClass = qm.EntityHierarchy
eAnnotation21 = entityHierarchyClass.newEAnnotation()
eAnnotation21.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry21 = eAnnotation21.newEStringToStringMapEntry()
eStringToStringMapEntry21.key = "documentation"
eStringToStringMapEntry21.value = "The entity hierarchy provides a decomposition of entities. This hierarchy\r\nhas exactly one root entity."
aspectClass = qm.Aspect
eAnnotation22 = aspectClass.newEAnnotation()
eAnnotation22.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry22 = eAnnotation22.newEStringToStringMapEntry()
eStringToStringMapEntry22.key = "documentation"
eStringToStringMapEntry22.value = "An aspect describes a cost that is associated with developing or using\r\nthe product. An aspect can be decomposed into sub aspects resulting\r\nan the aspect hierarchy. An aspect must have a unique name among\r\nthe aspects on the same level of the hierarchy."
languageAttribute = qm.Comment.language
eAnnotation23 = languageAttribute.newEAnnotation()
eAnnotation23.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry23 = eAnnotation23.newEStringToStringMapEntry()
eStringToStringMapEntry23.key = "documentation"
eStringToStringMapEntry23.value = "The language in which this comment is written"
aspectReference3 = qm.Impact.aspect
eAnnotation24 = aspectReference3.newEAnnotation()
eAnnotation24.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry24 = eAnnotation24.newEStringToStringMapEntry()
eStringToStringMapEntry24.key = "documentation"
eStringToStringMapEntry24.value = "The aspect on which this impact has effect"
attributeListClass = qm.AttributeList
eAnnotation25 = attributeListClass.newEAnnotation()
eAnnotation25.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry25 = eAnnotation25.newEStringToStringMapEntry()
eStringToStringMapEntry25.key = "documentation"
eStringToStringMapEntry25.value = "The attribute list provides a number of attributes."
impactReference = qm.Aspect.impact
eAnnotation26 = impactReference.newEAnnotation()
eAnnotation26.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry26 = eAnnotation26.newEStringToStringMapEntry()
eStringToStringMapEntry26.key = "documentation"
eStringToStringMapEntry26.value = "All impacts on this aspect"
aspectHierarchyClass = qm.AspectHierarchy
eAnnotation27 = aspectHierarchyClass.newEAnnotation()
eAnnotation27.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry27 = eAnnotation27.newEStringToStringMapEntry()
eStringToStringMapEntry27.key = "documentation"
eStringToStringMapEntry27.value = "The aspect hierarchy provides a decomposition of aspects. This hierarchy\r\ncan have a number of root aspects."
impactReference2 = qm.Fact.impact
eAnnotation28 = impactReference2.newEAnnotation()
eAnnotation28.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry28 = eAnnotation28.newEStringToStringMapEntry()
eStringToStringMapEntry28.key = "documentation"
eStringToStringMapEntry28.value = "The impacts of this fact"
factClass = qm.Fact
eAnnotation29 = factClass.newEAnnotation()
eAnnotation29.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry29 = eAnnotation29.newEStringToStringMapEntry()
eStringToStringMapEntry29.key = "documentation"
eStringToStringMapEntry29.value = "A fact associates an attribute to an entity. The attribute can have\r\nimpact on a number of aspects."
eAnnotation30 = entityReference.newEAnnotation()
eAnnotation30.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry30 = eAnnotation30.newEStringToStringMapEntry()
eStringToStringMapEntry30.key = "documentation"
eStringToStringMapEntry30.value = "The root element of this entity hierarchy"
commentedElementClass = qm.CommentedElement
eAnnotation31 = commentedElementClass.newEAnnotation()
eAnnotation31.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry31 = eAnnotation31.newEStringToStringMapEntry()
eStringToStringMapEntry31.key = "documentation"
eStringToStringMapEntry31.value = "A commented element is a model element that can have a number of\r\ncomments."
subordinateReference = qm.Entity.subordinate
eAnnotation32 = subordinateReference.newEAnnotation()
eAnnotation32.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry32 = eAnnotation32.newEStringToStringMapEntry()
eStringToStringMapEntry32.key = "documentation"
eStringToStringMapEntry32.value = "The entities which inherit from this entity"
attributeClass = qm.Attribute
eAnnotation33 = attributeClass.newEAnnotation()
eAnnotation33.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry33 = eAnnotation33.newEStringToStringMapEntry()
eStringToStringMapEntry33.key = "documentation"
eStringToStringMapEntry33.value = "An attribute describes a property of an entity. An attribute has a name\r\nwhich must be unique among all attributes."
attributesReference = qm.Quality.attributes
eAnnotation34 = attributesReference.newEAnnotation()
eAnnotation34.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry34 = eAnnotation34.newEStringToStringMapEntry()
eStringToStringMapEntry34.key = "documentation"
eStringToStringMapEntry34.value = "The attribute list of this quality model"
